apply plugin: 'com.android.library'

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.0"
    defaultConfig {
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"
        ndk {
            abiFilters "armeabi-v7a"
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }

        debug {
            jniDebuggable true
            debuggable true
        }

        yufabu {
            jniDebuggable true
            debuggable true
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'com.google.android.material:material:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
    implementation 'com.jakewharton:butterknife:7.0.1'
    implementation 'androidx.recyclerview:recyclerview:1.0.0'
    implementation 'com.google.zxing:core:3.3.0'
    implementation 'com.github.bumptech.glide:glide:4.9.0'
    implementation 'cat.ereza:customactivityoncrash:2.1.0'
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.0'
    implementation 'io.reactivex.rxjava2:rxjava:2.2.2'
    implementation 'com.google.zxing:core:3.3.3'

    implementation 'com.caverock:androidsvg:1.4+'


//    api files('libs/telpo_sdk_210726.jar')
    api files('libs/telpo_sdk_210726_new.jar')
//    api files('libs/telpo_sdk_20240108_change.jar')
//    api files('libs/SerialPort.jar')

}
